# $Revision: 1.30 $, $Date: 2003/10/25 13:25:41 $
Summary:	A small library to assist development of IRC bots and/or clients
Summary(pl):	Maa biblioteka pomocna przy tworzeniu botw i/lub klientw IRC
Name:		botnet
Version:	1.6.4
Release:	1
License:	GPL
Group:		Libraries
Source0:	http://zekiller.skytech.org/fichiers/botnet/%{name}-%{version}.tar.gz
# Source0-md5:	408e2998d4d51a1e7b40600890e364d8
Patch0:		%{name}-examples.patch
URL:		http://zekiller.skytech.org/coders_en.html
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
BotNet is a small shared and statically linked library, intended to
assist development of a bot or a full client for the IRC protocol (see
RFC 1459). You can connect to an IRC server, send messages, and
receive data from the server. Received data are parsed, and returned
to the main thread. BotNet now supports services, and functions for
easily make a leaf server compatible with the new RFCs (2810 to 2813).

%description -l pl
Botnet to maa biblioteka, w zamyle wspomagajca tworzenie bota lub
penego klienta korzystajcego z protokou IRC (patrz RFC1459). Moesz
podczy si do serwera IRC, wysya wiadomoci, oraz otrzymywa dane
z serwera. Otrzymane dane s parsowane i zwracane do gwnego wtku.
BotNet zawiera te usugi i funkcje do atwego tworzenia
serwerw-lici kompatybilnych z nowymi RFC (2810 do 2813).

%package devel
Summary:	Header files for botnet
Summary(pl):	Pliki nagwkowe dla botneta
Group:		Development/Libraries
Requires:	%{name} = %{version}

%description devel
Header files neccesary to develop botnet applications.

%description devel -l pl
Pliki nagwkowe niezbdne do tworzenia aplikacji korzystajcych z
botneta.

%package static
Summary:	botnet static library
Summary(pl):	Statyczna wersja biblioteki botnet
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
Libraries neccessary to link botnet applications statically.

%description static -l pl
Biblioteka potrzebna do statycznej konsolidacji aplikacji
korzystajcych z botneta.

%prep
%setup -q
%patch0 -p1

%build
rm -f missing
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install example/*.c $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
install example/Makefile.new $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}/Makefile

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/*.so.*.*

%files devel
%defattr(644,root,root,755)
%doc ChangeLog AUTHORS todo.txt botnet.txt
%attr(755,root,root) %{_bindir}/botnet-config
%attr(755,root,root) %{_libdir}/*.so
%{_libdir}/*.la
%{_includedir}/*
%{_examplesdir}/%{name}-%{version}

%files static
%defattr(644,root,root,755)
%{_libdir}/*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: botnet.spec,v $
Revision 1.30  2003/10/25 13:25:41  ankry
- pl: linkowanie -> konsolidacja, shell -> powoka

Revision 1.29  2003/09/21 22:26:22  adamg
- updated to 1.6.4

Revision 1.28  2003/08/28 08:20:29  ankry
- cosmetics

Revision 1.27  2003/08/06 16:37:46  kloczek
- moe wrescie kto wykasuje to konto ?

Revision 1.26  2003/07/07 04:23:51  blues
- many small fixes, inspired by kloczek

Revision 1.25  2003/05/28 12:58:47  malekith
- massive attack: source-md5

Revision 1.24  2003/05/25 05:46:03  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.23  2002/11/25 14:13:01  ankry
- massive attack: no need for 755 for *.la

Revision 1.22  2002/10/09 13:14:18  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.21  2002/08/26 10:41:42  kloczek
- (auto)updated to 1.6.3: bugfixes,
- use new %doc,
- add %%{_bindir}/botnet-config to devel %files list.

Revision 1.20  2002/06/23 20:32:21  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.19  2002/05/21 23:12:43  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.18  2002/04/25 15:55:08  arturs
fixed a small typo

Revision 1.17  2002/03/24 23:28:14  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.16  2002/02/23 01:33:37  kloczek
- adapterized.

Revision 1.15  2002/02/22 23:28:44  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.14  2002/01/18 02:12:31  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.13  2001/08/24 04:20:07  kloczek
- updated to 1.6.2,
- regenerate lt files.

Revision 1.12  2001/04/13 22:53:08  kloczek
- release 2.

Revision 1.11  2001/03/21 18:57:52  misiek
autostuff is back

Revision 1.10  2001/03/19 13:53:44  undefine
- updated to 1.6.1
- removed auto* (with it don't build :/ )

Revision 1.9  2000/10/30 09:48:06  kloczek
- use new rpm automation,
- moved %doc to devel.

Revision 1.8  2000/10/30 09:44:12  zagrodzki
- updated to 1.6.0

Revision 1.7  2000/09/14 02:01:26  kloczek
- updated to 1.5.3.

Revision 1.6  2000/08/29 16:01:25  zagrodzki
- updated to 1.5.2

Revision 1.5  2000/08/23 16:57:32  zagrodzki
- added examples patch

Revision 1.4  2000/08/23 16:33:41  kloczek
- adapterized,
- added examples directory to %files,
- added stripping shared libraries,
- fiew cosmetics.

Revision 1.3  2000/08/23 16:18:48  zagrodzki
- removed Makefile

Revision 1.2  2000/08/23 16:13:37  zagrodzki
- removed License.txt.gz

Revision 1.1  2000/08/23 16:10:11  zagrodzki
- initial release
